"use client";
import { useDate } from "lib/hooks/useDate";
import useUser from "lib/hooks/useUser";

export function LastLogin() {
    const { user, isLoading } = useUser();

    const last_login = useDate(user?.last_login);

    return (
        <>
            <div className="d-flex justify-content-between placeholder-glow">
                {isLoading || !user ? (
                    <>
                        <code className="placeholder col-3" />
                        <code className="placeholder col-1" />
                    </>
                ) : (
                    <>
                        <code>{last_login}</code>
                        <code>{user.last_login_ip}</code>
                    </>
                )}
            </div>
        </>
    );
}
